#
# spec file for package wgetpaste
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wgetpaste
Version:        2.25
Release:        6.1
Summary:        Command-line interface to various pastebins
License:        SUSE-Public-Domain
Group:          Productivity/Other
Url:            http://wgetpaste.zlin.dk/
Source:         http://wgetpaste.zlin.dk/%{name}-%{version}.tar.bz2
Source1:        services.conf
Patch0:         wgetpaste-2.25-pinwand.patch
Patch1:         wgetpaste-2.25-pinwand-raw.patch
Requires:       bash
Requires:       coreutils
Requires:       wget
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Command-line interface to communicate with various pastebin services.

%prep
%setup -q
%patch0 -p3
%patch1 -p0

%build
# do nothing

%install
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.d/services.conf
install -D -m 0644 _%{name} %{buildroot}%{_datadir}/zsh/site-functions/_%{name}

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/%{name}.d/
%dir %{_datadir}/zsh/site-functions/
%dir %{_datadir}/zsh/
%{_datadir}/zsh/site-functions/_%{name}
%config %{_sysconfdir}/%{name}.d/services.conf
%{_bindir}/%{name}

%changelog
* Mon Nov 24 2014 tchvatal@suse.com
- Version bump to 2.25
  * Various fixes around bpaste service
- Remove defaults as they are not needed now.
- Apply pinnwand patches for bpaste:
  * wgetpaste-2.25-pinwand.patch
  * wgetpaste-2.25-pinwand-raw.patch
* Thu Jul 25 2013 tchvatal@suse.com
- Fix build on obs, here the fail was not triggered :-/
* Thu Jul 25 2013 tchvatal@suse.com
- Initial commit. Nice tool to be used with various pastebins.
  Similar to susepaste but used on more distros.
